org.apache.ode.bpel.runtime.monitor

## Class InstanceFilter

- java.lang.Object
- - org.apache.ode.bpel.runtime.monitor.InstanceFilter

- All Implemented Interfaces:
    java.io.Serializable

      public class InstanceFilter
      extends java.lang.Object
      implements java.io.Serializable

  Filter for querying and inspecting process instances.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InstanceFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCorrelationSetFilter(java.lang.String correlationSetName, CorrelationKey correlation)` Add a correlation set filter.
    `CorrelationKey` | `getCorrelationSetFilter(java.lang.String setName)` Returns the correlation correlationKey for a correlation set filter.
    `java.lang.String[]` | `getCorrelationSetFilters()` Returns the names of the correlation sets used in this filter.
    `java.util.Date` | `getEndTime()` Filters all process instances started before the specified end time.
    `int` | `getMaxReturn()` The maximum number of instances to return.
    `int` | `getSkip()` The number of instances to skip.
    `java.util.Date` | `getStartTime()` Filters all process instances started after the specified start time.
    `short[]` | `getStates()` Returns only process instances in the specified states.
    `void` | `setEndTime(java.util.Date endTime)` Filters all process instances started before the specified end time.
    `void` | `setMaxReturn(int maxReturn)` The maximum number of instances to return.
    `void` | `setSkip(int skip)` The number of instances to skip.
    `void` | `setStartTime(java.util.Date startTime)` Filters all process instances started after the specified start time.
    `void` | `setStates(short[] states)` Returns only process instances in the specified states.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InstanceFilter

          public InstanceFilter()

  - ### Method Detail

    - #### getCorrelationSetFilter

          public CorrelationKey getCorrelationSetFilter(java.lang.String setName)

      Returns the correlation correlationKey for a correlation set filter.
      Parameters:
        `setName` - correlation set filter name
      Returns:
        the correlation correlationKey

    - #### getCorrelationSetFilters

          public java.lang.String[] getCorrelationSetFilters()

      Returns the names of the correlation sets used in this filter.
      Returns:
        the names of the correlation sets used in this filter

    - #### setEndTime

          public void setEndTime(java.util.Date endTime)

      Filters all process instances started before the specified end time. Not setting this field will ignore the end time.
      Parameters:
        `endTime` - The endTime to set.

    - #### getEndTime

          public java.util.Date getEndTime()

      Filters all process instances started before the specified end time.
      Returns:
        Returns the end time filter.

    - #### setMaxReturn

          public void setMaxReturn(int maxReturn)

      The maximum number of instances to return.
      Parameters:
        `maxReturn` - The maxReturn to set.

    - #### getMaxReturn

          public int getMaxReturn()

      The maximum number of instances to return.
      Returns:
        Returns the maxReturn.

    - #### setSkip

          public void setSkip(int skip)

      The number of instances to skip. Useful for paging for instance iteration.
      Parameters:
        `skip` - The skip to set.

    - #### getSkip

          public int getSkip()

      The number of instances to skip. Useful for paging for instance iteration.
      Returns:
        Returns the skip.

    - #### setStartTime

          public void setStartTime(java.util.Date startTime)

      Filters all process instances started after the specified start time. Not setting this field will ignore the start time.
      Parameters:
        `startTime` - The startTime to set.

    - #### getStartTime

          public java.util.Date getStartTime()

      Filters all process instances started after the specified start time.
      Returns:
        Returns the startTime.

    - #### setStates

          public void setStates(short[] states)

      Returns only process instances in the specified states. States are defined in `ProcessInstance`. Leaving this field blank will return instances in any state.
      Parameters:
        `states` - The states to set.

    - #### getStates

          public short[] getStates()

      Returns only process instances in the specified states. States are defined in `ProcessInstance`. Leaving this field blank will return instances in any state.
      Returns:
        Returns the states.

    - #### addCorrelationSetFilter

          public void addCorrelationSetFilter(java.lang.String correlationSetName,
                                              CorrelationKey correlation)

      Add a correlation set filter.
      Parameters:
        `correlationSetName` -
        `correlation` -